google.auth package
===================

.. automodule:: google.auth
   :members:
   :inherited-members:
   :show-inheritance:

Subpackages
-----------

.. toctree::
   :maxdepth: 4

   google.auth.compute_engine
   google.auth.crypt
   google.auth.transport

Submodules
----------

.. toctree::
   :maxdepth: 4

   google.auth.app_engine
   google.auth.aws
   google.auth.credentials
   google.auth._credentials_async
   google.auth.downscoped
   google.auth.environment_vars
   google.auth.exceptions
   google.auth.external_account
   google.auth.iam
   google.auth.identity_pool
   google.auth.impersonated_credentials
   google.auth.jwt
   google.auth._jwt_async
